
Foreman - Bug #20442

Unrecognized interface kill ENC

07/28/2017 12:17 PM - Daniel Kimsey

Status: Need more information   

Priority: Normal   

Assignee:    

Category: External Nodes   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have one server that is unable to retrieve ENC data, the production.log suggests a network device is being treated as a Net::Base

object.

As best as I can tell an interface device is not being detected correctly, they are Net::Base objects. This host does have SFP devices

attached to the bonded together, but that's the only mildly unusual configuration. Let me know if there is any more information I can

provide.

Oddly enough, I have another host n01 that does succeed with the same hardware configuration.

We deleted the Host from Foreman and re-registered. It began working correctly.

Puppet master logs

2017-07-28 10:14:35,593 ERROR [qtp872982566-2513103] [puppetserver]

 Puppet Server Error: Failed when searching for node esp2r15n03.exa

mple.com: Failed to find esp2r15n03.example.com via exec: Execution

 of '/etc/puppetlabs/puppet/node.rb esp2r15n03.example.com' returne

d 1:

file:/opt/puppetlabs/server/apps/puppetserver/puppet-server-release

.jar!/puppetserver-lib/puppet/server/execution.rb:44:in `execute'

file:/opt/puppetlabs/server/apps/puppetserver/puppet-server-release

.jar!/puppetserver-lib/puppet/server/execution.rb:14:in `initialize

_execution_stub'

org/jruby/RubyProc.java:281:in `call'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/execution.r

b:194:in `execute'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/node/

exec.rb:33:in `execute'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/exec.

rb:19:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/node/

exec.rb:17:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/indir

ection.rb:194:in `find'
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catal

og/compiler.rb:295:in `find_node'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler/ar

ound_profiler.rb:58:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler.rb

:51:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catal

og/compiler.rb:292:in `find_node'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catal

og/compiler.rb:332:in `node_from_request'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/catal

og/compiler.rb:50:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/indirector/indir

ection.rb:194:in `find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/api

/indirected_routes.rb:121:in `do_find'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/api

/indirected_routes.rb:48:in `call'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.rb:65:in

 `override'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:241:in `overr

ide'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/api

/indirected_routes.rb:47:in `call'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/rou

te.rb:82:in `process'

org/jruby/RubyArray.java:1613:in `each'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/rou

te.rb:81:in `process'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/rou

te.rb:87:in `process'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/rou

te.rb:87:in `process'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/han

dler.rb:60:in `process'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler/ar

ound_profiler.rb:58:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/profiler.rb

:51:in `profile'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/network/http/han

dler.rb:58:in `process'

file:/opt/puppetlabs/server/apps/puppetserver/puppet-server-release

.jar!/puppetserver-lib/puppet/server/master.rb:42:in `handleRequest

'

Puppet$$Server$$Master_505362540.gen:13:in `handleRequest'

request_handler_core.clj:273:in `invoke'
jruby_request.clj:46:in `invoke'

jruby_request.clj:31:in `invoke'

request_handler_service.clj:34:in `handle_request'

request_handler.clj:3:in `invoke'

request_handler.clj:3:in `invoke'

core.clj:2515:in `invoke'

ring_middleware.clj:284:in `invoke'

core.clj:168:in `invoke'

core.clj:211:in `invoke'

core.clj:45:in `invoke'

core.clj:343:in `invoke'

core.clj:51:in `invoke'

ringutils.clj:83:in `invoke'

master_core.clj:428:in `invoke'

ring.clj:21:in `invoke'

ring.clj:12:in `invoke'

comidi.clj:249:in `invoke'

jetty9_core.clj:424:in `invoke'

normalized_uri_helpers.clj:80:in `invoke'

 

ENC command

$ sudo -u puppet /etc/puppetlabs/puppet/node.rb esp2r15n03.example.

com

Error retrieving node esp2r15n03.example.com: Net::HTTPPrecondition

Failed

Check Foreman's /var/log/foreman/production.log for more informatio

n.

 

production.log

2017-07-28 03:59:32 e7864487 [app] [I] Started GET "/node/esp2r15n0

3.example.com?format=yml" for 192.168.32.14 at 2017-07-28 03:59:32 

-0500

2017-07-28 03:59:32 e7864487 [app] [I] Processing by HostsControlle

r#externalNodes as YML

2017-07-28 03:59:32 e7864487 [app] [I]   Parameters: {"name"=>"esp2

r15n03.example.com"}

2017-07-28 03:59:32 e7864487 [app] [I] Current user: foreman_api_ad

min (administrator)

2017-07-28 03:59:32 e7864487 [app] [W] Failed to generate external 

nodes for esp2r15n03.example.com
 | NoMethodError: undefined method `to_export' for #<Nic::Base:0x00

7f93775ab6f0>

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activemodel-4.2.5.1/

lib/active_model/attribute_methods.rb:433:in `method_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1

/lib/active_record/relation/delegation.rb:46:in `map'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1

/lib/active_record/relation/delegation.rb:46:in `map'

 | /usr/share/foreman/app/models/host/managed.rb:398:in `info'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.2/app/m

odels/katello/concerns/host_managed_extensions.rb:50:in `info_with_

katello'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:203:in `b

lock in externalNodes'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/mime_responds.rb:212:in `respond_to'

 | /usr/share/foreman/app/controllers/hosts_controller.rb:201:in `e

xternalNodes'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/implicit_render.rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/abstract_controller/base.rb:198:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/rendering.rb:10:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/abstract_controller/callbacks.rb:20:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:555:in `block (2 levels) in compi

le'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:498:in `block (2 levels) in aroun

d'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halti

ng'

 | /usr/share/foreman/app/controllers/concerns/application_shared.r
b:15:in `set_timezone'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:498:in `block (2 levels) in aroun

d'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halti

ng'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb

:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:498:in `block (2 levels) in aroun

d'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halti
ng'

 | /usr/share/foreman/app/controllers/concerns/foreman/controller/t

opbar_sweeper.rb:12:in `set_topbar_sweeper_controller'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:498:in `block (2 levels) in aroun

d'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halti

ng'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/a

udited/sweeper.rb:14:in `around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.
1/lib/active_support/callbacks.rb:778:in `_run_process_action_callb

acks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/abstract_controller/callbacks.rb:19:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/rescue.rb:29:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/instrumentation.rb:32:in `block in proce

ss_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/notifications.rb:164:in `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/notifications/instrumenter.rb:20:in `instrumen

t'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/notifications.rb:164:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/instrumentation.rb:30:in `process_action

'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/params_wrapper.rb:250:in `process_action

'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1

/lib/active_record/railties/controller_runtime.rb:18:in `process_ac

tion'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/abstract_controller/base.rb:137:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/l

ib/action_view/rendering.rb:30:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal.rb:196:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal/rack_delegation.rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_controller/metal.rb:237:in `block in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/routing/route_set.rb:74:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/routing/route_set.rb:74:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/routing/route_set.rb:43:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/journey/router.rb:43:in `block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l
ib/action_dispatch/journey/router.rb:30:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/journey/router.rb:30:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/routing/route_set.rb:815:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/

lib/apipie/static_dispatcher.rb:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/

lib/apipie/extractor/recorder.rb:132:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/

lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

etag.rb:24:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

conditionalget.rb:25:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/params_parser.rb:27:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.4.2/lib/k

atello/params_parser_wrapper.rb:12:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:i

n `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/flash.rb:260:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

session/abstract/id.rb:225:in `context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

session/abstract/id.rb:220:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l
ib/action_dispatch/middleware/cookies.rb:560:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1

/lib/active_record/query_cache.rb:36:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1

/lib/active_record/connection_adapters/abstract/connection_pool.rb:

653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/callbacks.rb:29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:88:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/callbacks.rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/callbacks.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/remote_ip.rb:78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/show_exceptions.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/rack/logger.rb:38:in `call_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/rack/logger.rb:22:in `call'

 | /usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/request_id.rb:21:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.

1/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in

 `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/l

ib/action_dispatch/middleware/static.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

sendfile.rb:113:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.

1/lib/secure_headers/middleware.rb:12:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/application.rb:165:in `call'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/railtie.rb:194:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib

/rails/railtie.rb:194:in `method_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/

urlmap.rb:50:in `call'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack

/thread_handler_extension.rb:77:in `process_request'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/requ

est_handler/thread_handler.rb:140:in `accept_and_process_next_reque

st'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/requ

est_handler/thread_handler.rb:108:in `main_loop'

 | /usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/requ

est_handler.rb:441:in `block (3 levels) in start_threads'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/l

ogging/diagnostic_context.rb:323:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/l

ogging/diagnostic_context.rb:323:in `block in create_with_logging_c

ontext'

2017-07-28 03:59:32 e7864487 [app] [I]   Rendered text template (0.

0ms)

2017-07-28 03:59:32 e7864487 [app] [I] Completed 412 Precondition F

ailed in 45ms (Views: 0.7ms | ActiveRecord: 4.7ms)

 

Host facts excerpt

[dkimsey@esp2r15n03 ~]$ sudo /opt/puppetlabs/bin/puppet facts

    "networking": {

      "domain": "example.com",

      "fqdn": "esp2r15n03.example.com",

      "hostname": "esp2r15n03",

      "interfaces": {

        "bond0": {

          "bindings": [

            {

              "address": "192.168.67.18",

              "netmask": "255.255.252.0",

              "network": "192.168.64.0" 

            }
          ],

          "ip": "192.168.67.18",

          "mac": "a0:36:9f:aa:aa:aa",

          "mtu": 1500,

          "netmask": "255.255.252.0",

          "network": "192.168.64.0" 

        },

        "em1": {

          "mac": "24:6e:96:de:ad:00",

          "mtu": 1500

        },

        "em2": {

          "mac": "24:6e:96:de:ad:02",

          "mtu": 1500

        },

        "em3": {

          "mac": "24:6e:96:de:ad:04",

          "mtu": 1500

        },

        "em4": {

          "mac": "24:6e:96:de:ad:05",

          "mtu": 1500

        },

        "lo": {

          "bindings": [

            {

              "address": "127.0.0.1",

              "netmask": "255.0.0.0",

              "network": "127.0.0.0" 

            }

          ],

          "ip": "127.0.0.1",

          "mtu": 65536,

          "netmask": "255.0.0.0",

          "network": "127.0.0.0" 

        },

        "lo:71": {

          "bindings": [

            {

              "address": "192.168.66.71",

              "netmask": "255.255.255.255",

              "network": "192.168.66.71" 

            }

          ],

          "ip": "192.168.66.71",

          "netmask": "255.255.255.255",
          "network": "192.168.66.71" 

        },

        "p2p1": {

          "mac": "a0:36:9f:aa:aa:aa",

          "mtu": 1500

        },

        "p2p2": {

          "mac": "a0:36:9f:aa:aa:aa",

          "mtu": 1500

        }

      },

 

History

#1 - 07/31/2017 02:31 AM - Marek Hulán

I'd like to know how Nic::Base interfaces was created in the first place. To fix it, just modify the type value in nics table for this interface. It's currently

set to Nic::Base but most likely should be Nic::Managed. There were some errors in migration at Foreman ~1.8, how old is your Foreman instance?

To do it via rails console, execute following

foreman-rake console

Nic::Base.where(:type => Nic::Base).update_all(:type => 'Nic::Managed')

exit

 the second command should print number of fixed interfaces

#2 - 07/31/2017 10:19 AM - Daniel Kimsey

Marek Hulán wrote:

I'd like to know how Nic::Base interfaces was created in the first place.

 This is a relatively recent installation, I think Katello 3.0 is when we installed Foreman for the first time (I don't know what Foreman version that maps

to).

I wouldn't expect this to be a migration issue. The error only occurred on systems we registered recently, and only on hosts with this hardware profile.

Since I deleted and re-registered the hosts it resolved the issue. I do not have any bad records anymore. Making this a terrible ticket.

irb(main):001:0> Nic::Base.where(:type => Nic::Base)

=> #<ActiveRecord::Relation []>

#3 - 08/01/2017 06:01 AM - Marek Hulán

- Status changed from New to Need more information

- translation missing: en.field_release deleted (276)

Let's give it a few days, if you see more such records, I'd suggest checking production.log with debug log level and sql logger enabled to find out

when the Nic::Base gets created.

#4 - 08/07/2017 03:31 PM - Daniel Kimsey

I'm unable to enable the sql logger and wait for it to be created, it's simply way too much logging.

However, I'm still getting the error message on a particular host even though there are no Nic::Base entries in the database.

#5 - 08/07/2017 04:18 PM - Marek Hulán

What are all plugins you have installed? And how does the host get created? Is it by puppet run, subscription manager run (katello), some API call or

you provision it from the Foreman? Are there any other report agents on the host installed besides puppet? What is the puppet version?

#6 - 08/08/2017 12:00 PM - Daniel Kimsey

05/17/2024 12/13



Plugins:

foreman-tasks    0.9.4

foreman_ansible    1.4.5

foreman_docker    3.2.1

foreman_hooks    0.3.14

foreman_remote_execution    1.3.1

katello    3.4.2

Our bootstrap registers with Katello first to make the packages available and then installs and registers Puppet.

There are no other agents generating data for the host (ansible plugin is installed but not used).

CentOS 7.3.1611

Puppet v1.10.1

subscription-manager v1.17.15

Katello 3.4

#7 - 08/10/2017 03:29 AM - Marek Hulán

Thanks for detailed information.

So the bootstrap uses subscription-manager to register the host first? Subscription manager also send some facts and they are used to create

network interfaces so the issue might be there.

#8 - 04/21/2021 06:13 PM - Marek Hulán

I have just reproduced the same, the problem is in the fact some interface is created as Nic::Base instead of Nic::Managed. Interestingly enough, I

created such host through the new registration. I'll try to find the exact reproducer. It seems it may have been caused by me trying to save the Nic (in

UI) with IP that does not match the subnet, then fixing the problem and resubmitting the host form.
